# KSPInitializePackage

This function initializes everything in the KSP package. It is called from PetscDLLibraryRegister() when using dynamic libraries, and on the first call to KSPCreate() when using static libraries.

### Synopsis

    PetscErrorCode PETSCKSP_DLLEXPORT KSPInitializePackage(const char path[])

### Input Parameter

path - The dynamic library path, or PETSC_NULL

### Keywords

KSP, initialize, package

### See Also

PetscInitialize()

Level:developer
Location:src/ksp/ksp/interface/dlregisksp.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages